import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams,ModalController } from 'ionic-angular';
import {SelectTypePage} from "../select-type/select-type";
import {AppService} from "../../../../service/appHttpService";

@IonicPage()
@Component({
  selector: 'page-edit',
  templateUrl: 'edit.html',
})
export class EditPage {

  editIndex;
  id;
  constructor(public navCtrl: NavController, public navParams: NavParams,
              public modalCtrl: ModalController,public appService:AppService) {
  }
    qList = [
        {name:'测试'},
        {name:'测试'},
        {name:'测试'},
        {name:'测试'}
    ];

  ionViewDidLoad() {
      this.id = this.navParams.get('id');
    console.log('ionViewDidLoad EditPage');
    this.getDetail();
  }

  getDetail(){
      this.appService.ObserverHttpGet('/wisdomgroup/modules/question/findQuesByQuestionId',{id:this.id})
          .subscribe(
              (res)=>{
                  console.log(res);
              }
          )
  }

  //添加题目
    add(){
     this.navCtrl.push('SelectTypePage')
    }

    //操作
    itemEdit(index){
      this.editIndex = index;
    }

    //查看
    look(){
        this.navCtrl.push('DetailPage');
    }

    //设置
    set(){
      this.navCtrl.push('SetPage');
    }

    //保存
    save(){

    }

}
